%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-batch-1.0-api
Version:          1.0.0
Release:          %mkrel 9
Group:            Development/Java
Summary:          Batch Applications 1.0 API
License:          ASL 2.0
URL:              https://www.jboss.org
Source0:          https://github.com/jboss/jboss-batch-api_spec/archive/jboss-batch-api_1.0_spec-%{namedversion}.tar.gz

BuildRequires:    maven-local
BuildRequires:    mvn(javax.enterprise:cdi-api)
BuildRequires:    mvn(javax.inject:javax.inject)
BuildRequires:    mvn(org.apache.felix:maven-bundle-plugin)
#BuildRequires:    maven-enforcer-plugin
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)

BuildArch:        noarch

%description
JSR 352: Batch Applications for the Java Platform API classes

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-batch-api_spec-jboss-batch-api_1.0_spec-%{namedversion}

%pom_remove_plugin :maven-source-plugin

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README*
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt



%changelog
* Mon May 27 2024 ns80 <ns80> 1.0.0-9.mga10
+ Revision: 2068330
- rebuild for java 21

* Sat Mar 26 2022 umeabot <umeabot> 1.0.0-8.mga9
+ Revision: 1827293
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 1.0.0-7.mga8
+ Revision: 1490841
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.0.0-6.mga7
+ Revision: 1262451
- Mageia 7 Mass Rebuild

* Fri May 19 2017 neoclust <neoclust> 1.0.0-5.mga6
+ Revision: 1103234
- add missing buildrequires

* Thu May 11 2017 neoclust <neoclust> 1.0.0-4.mga6
+ Revision: 1100289
- imported package jboss-batch-1.0-api


* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Oct 24 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-1
- Initial packaging


